import { AfterViewInit, EventEmitter, OnDestroy } from "@angular/core";
import { CheckboxState } from "../../meta/checkbox.meta";
import { NoArgsType } from "../../meta/common.meta";
import { CheckboxService } from "./checkbox.service";
/**
 * 复选框
 */
export declare class CheckboxComponent implements AfterViewInit, OnDestroy {
    private checkboxService;
    constructor(checkboxService: CheckboxService);
    disabled: boolean;
    isParent: boolean;
    groupId: string;
    label: string;
    _state: CheckboxState;
    state: "unchecked" | "checked" | "indeterminate";
    _checked: boolean;
    checked: boolean;
    stateChange: EventEmitter<CheckboxState>;
    checkedChange: EventEmitter<boolean>;
    lastState: CheckboxState;
    lastChecked: boolean;
    emitDateChange(silence?: boolean): void;
    click(): void;
    silenceSetState(state: CheckboxState): void;
    callback: NoArgsType;
    onChange(callback: NoArgsType): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
