/// <reference types="jquery" />
import { AfterViewInit, ElementRef, EventEmitter, OnDestroy } from "@angular/core";
import { DateService } from "../../service/date.service";
import { ToolsService } from "../../service/tools.service";
import { DatetimePickerService } from "./datetime-picker.service";
import { TooltipService } from "../../service/tooltip.service";
import { TimeItem } from "../../meta/datetime-picker.meta";
import { CustomValidatorControl } from "../../meta/validator.meta";
/**
 * 年月日 日期控件
 */
export declare class YmdComponent implements AfterViewInit, OnDestroy {
    private elementRef;
    private dateService;
    private toolsService;
    private tooltipService;
    private datetimePickerService;
    constructor(elementRef: ElementRef, dateService: DateService, toolsService: ToolsService, tooltipService: TooltipService, datetimePickerService: DatetimePickerService);
    ngAfterViewInit(): void;
    jyName: string;
    jyRequired: boolean;
    jyValidate: boolean;
    disabled: boolean;
    direction: "top" | "right" | "bottom" | "left";
    jyTooltipDirection: "top" | "right" | "bottom" | "left";
    customValidatorControl: CustomValidatorControl;
    _minDate: number;
    minDate: number;
    minDateString: string;
    _maxDate: number;
    maxDate: number;
    maxDateString: string;
    _date: number;
    date: number;
    _dateString: string;
    dateString: string;
    lastDate: number;
    lastDateString: string;
    emitDateChange(): void;
    dateChange: EventEmitter<number>;
    dateStringChange: EventEmitter<string>;
    datetimePicker: JQuery;
    _datetimePicker: ElementRef;
    box: JQuery;
    _box: ElementRef;
    input: JQuery;
    _input: ElementRef;
    eventIdClass: string;
    format: string;
    viewYear: string;
    viewMonth: string;
    yearList: TimeItem[];
    monthList: TimeItem[];
    weekList: TimeItem[];
    viewDate: Date;
    keydown(event: KeyboardEvent): void;
    keyup(): void;
    show: boolean;
    mouseEnter: boolean;
    transparent: boolean;
    clickHandler: any;
    focus(): void;
    blur(event: FocusEvent): void;
    onWindowResize(): void;
    viewHide(check?: boolean): void;
    getCheckDateString(clear?: boolean, noAlert?: boolean): number;
    calculateView(date: Date): void;
    rangeDateChange(): void;
    lastYear(event?: MouseEvent): void;
    lastMonth(event?: MouseEvent): void;
    nextMonth(event?: MouseEvent): void;
    nextYear(event?: MouseEvent): void;
    monthMousewheel(value: number): void;
    yearMousewheel(value: number): void;
    viewDateChange(viewYearDiff?: number, viewMonthDiff?: number): void;
    validateRange(date: Date | number, onlyYearAndMonth?: boolean, noAlert?: boolean): any;
    tooltipRangeError(type: "minDate" | "maxDate" | "none"): void;
    getMinDate(): Date;
    getMaxDate(): Date;
    selectDate(item: any): void;
    today(): void;
    clear(): void;
    trackByIndex(index: number): number;
    ngOnDestroy(): void;
}
