/// <reference types="jquery" />
import { AfterViewInit, ElementRef } from "@angular/core";
import { DynamicComponentTransmitData } from "../../meta/dynamic-component.meta";
import { ModalParams } from "../../meta/modal.meta";
import { ToolsService } from "../../service/tools.service";
import { RemService } from "../../service/rem.service";
/**
 * 模态窗口
 */
export declare class ModalComponent implements DynamicComponentTransmitData<ModalParams>, AfterViewInit {
    private elementRef;
    private toolsService;
    private remService;
    constructor(elementRef: ElementRef, toolsService: ToolsService, remService: RemService);
    show: boolean;
    endFlag: boolean;
    modalParams: ModalParams;
    close: any;
    width: string;
    minWidth: string;
    maxWidth: string;
    host: JQuery;
    modalDialog: JQuery;
    modalContent: JQuery;
    modalPage: JQuery;
    modalHeader: JQuery;
    modalBody: JQuery;
    modalFooter: JQuery;
    verticalCenter: boolean;
    setTransmitData(modalParams: ModalParams): void;
    ngAfterViewInit(): void;
    onResize(): void;
}
