/// <reference types="jquery" />
/// <reference types="node" />
import { AfterViewInit, ElementRef, EventEmitter, OnDestroy } from "@angular/core";
import { ToolsService } from "../../service/tools.service";
import { ProvinceCityAreaService } from "../../service/province-city-area.service";
import { CustomValidatorControl } from "../../meta/validator.meta";
import { ProvinceCityArea } from "../../meta/province-city-area.meta";
/**
 * 省市区
 */
export declare class ProvinceCityAreaComponent implements AfterViewInit, OnDestroy {
    private elementRef;
    private toolsService;
    private provinceCityAreaService;
    constructor(elementRef: ElementRef, toolsService: ToolsService, provinceCityAreaService: ProvinceCityAreaService);
    boxHeight: number;
    lineHeight: number;
    _provinceCode: string;
    _cityCode: string;
    _areaCode: string;
    provinceCode: string;
    cityCode: string;
    areaCode: string;
    provinceCodeChange: EventEmitter<string>;
    cityCodeChange: EventEmitter<string>;
    areaCodeChange: EventEmitter<string>;
    provinceList: ProvinceCityArea[];
    private codeParentListMap;
    private codeMap;
    private nameMap;
    private allCity;
    private allArea;
    private getAllCodeAndName(provinceCityAreaList, parent, index);
    isCustomProvinceList: boolean;
    _provinceList: ProvinceCityArea[];
    cityList: ProvinceCityArea[];
    areaList: ProvinceCityArea[];
    customValidatorControl: CustomValidatorControl;
    label: string;
    showPlaceholder: string;
    placeholder: string;
    disabled: boolean;
    direction: "top" | "right" | "bottom" | "left";
    jyTooltipDirection: "top" | "right" | "bottom" | "left";
    jyName: string;
    jyRequired: boolean;
    jyValidate: boolean;
    jyClass: string;
    host: JQuery;
    provinceCityArea: JQuery;
    input: JQuery;
    box: JQuery;
    provinceBox: JQuery;
    cityBox: JQuery;
    areaBox: JQuery;
    eventIdClass: string;
    _lastProvinceCode: string;
    _lastCityCode: string;
    _lastAreaCode: string;
    timer: NodeJS.Timer;
    emitDataChange(): void;
    keyInputTimer: NodeJS.Timer;
    keyInput(): void;
    mouseEnter: boolean;
    show: boolean;
    transparent: boolean;
    clickHandler: any;
    focus(): void;
    blur(event: FocusEvent): void;
    onWindowResize(): void;
    viewHide(): void;
    clear(): void;
    resetListData(): void;
    selectItem(item: ProvinceCityArea, type: "province" | "city" | "area"): void;
    correctScrollBar(): void;
    getNameByCode(code: string): string;
    getProvinceCityAreaData(): ProvinceCityArea[];
    getAllCity(): ProvinceCityArea[];
    getAllArea(): ProvinceCityArea[];
    getChildrenByCode(code: string): ProvinceCityArea[];
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
