/// <reference types="jquery" />
/// <reference types="node" />
import { AfterViewInit, ElementRef, EventEmitter, OnDestroy } from "@angular/core";
import { EnumService } from "../../service/enum.service";
import { ToolsService } from "../../service/tools.service";
import { DataAndLabel } from "../../meta/common.meta";
import { CustomValidatorControl } from "../../meta/validator.meta";
/**
 * 多选下拉框
 */
export declare class MultipleSelectComponent implements AfterViewInit, OnDestroy {
    private elementRef;
    private enumService;
    private toolsService;
    constructor(elementRef: ElementRef, enumService: EnumService, toolsService: ToolsService);
    rem: number;
    boxHeight: number;
    lineHeight: number;
    init: boolean;
    dataListId: string;
    _dataList: DataAndLabel[];
    dataList: DataAndLabel[];
    filterDataList: DataAndLabel[];
    dataListDataMap: {
        [index: string]: DataAndLabel;
    };
    dataListLabelMap: {
        [index: string]: DataAndLabel;
    };
    _lastData: string;
    _data: string[];
    data: string[];
    customValidatorControl: CustomValidatorControl;
    selectedItem: DataAndLabel[];
    keySelectedItem: DataAndLabel;
    label: string;
    placeholder: string;
    disabled: boolean;
    direction: "top" | "right" | "bottom" | "left";
    jyTooltipDirection: "top" | "right" | "bottom" | "left";
    jyName: string;
    jyRequired: boolean;
    jyValidate: boolean;
    jyClass: string;
    dataChange: EventEmitter<string[]>;
    host: JQuery;
    select: JQuery;
    searchInput: JQuery;
    selectedBox: JQuery;
    selectBox: JQuery;
    fixedBox: JQuery;
    eventIdClass: string;
    emitDataChange(): void;
    keydown(event: KeyboardEvent): void;
    keyupTimer: NodeJS.Timer;
    keyInput(): void;
    width: number;
    mouseEnter: boolean;
    show: boolean;
    transparent: boolean;
    clickHandler: any;
    focus(): void;
    blur(event: FocusEvent): void;
    onWindowResize(): void;
    viewHide(): void;
    selectItem(item: DataAndLabel): void;
    correctScrollBar(): void;
    clear(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
