/// <reference types="jquery" />
import { AfterViewInit, ElementRef, EventEmitter, OnDestroy } from "@angular/core";
import { ToolsService } from "../../service/tools.service";
import { DataAndLabel } from "../../meta/common.meta";
import { CustomValidatorControl } from "../../meta/validator.meta";
import { SearchService } from "../../service/search.service";
import { HttpService } from "../../service/http.service";
/**
 * 多选下拉框
 */
export declare class SearchMultipleSelectComponent implements AfterViewInit, OnDestroy {
    private elementRef;
    private toolsService;
    private searchService;
    private httpService;
    constructor(elementRef: ElementRef, toolsService: ToolsService, searchService: SearchService, httpService: HttpService);
    rem: number;
    searching: boolean;
    boxHeight: number;
    lineHeight: number;
    dataLoading: boolean;
    init: boolean;
    filterDataList: DataAndLabel[];
    _lastData: string;
    _data: string[];
    data: string[];
    customValidatorControl: CustomValidatorControl;
    selectedItem: DataAndLabel[];
    keySelectedItem: DataAndLabel;
    label: string;
    placeholder: string;
    disabled: boolean;
    direction: "top" | "right" | "bottom" | "left";
    jyTooltipDirection: "top" | "right" | "bottom" | "left";
    jyName: string;
    jyRequired: boolean;
    jyValidate: boolean;
    jyClass: string;
    customItemFilter: boolean;
    customExecuteQuery: boolean;
    queryUrl: string;
    queryByIdListUrl: string;
    maxHeight: number;
    executeQuery: EventEmitter<{
        key: string;
        callback: (dataList: any[]) => void;
    }>;
    itemFilter: EventEmitter<{
        key: string;
        item: any;
        callback: (match: boolean) => void;
    }>;
    dataChange: EventEmitter<string[]>;
    host: JQuery;
    select: JQuery;
    searchInput: JQuery;
    selectedBox: JQuery;
    selectBox: JQuery;
    fixedBox: JQuery;
    eventIdClass: string;
    emitDataChange(): void;
    keydown(event: KeyboardEvent): void;
    keyInput(): void;
    width: number;
    mouseEnter: boolean;
    show: boolean;
    transparent: boolean;
    clickHandler: any;
    focus(): void;
    onWindowResize(): void;
    viewHide(): void;
    selectItem(item: DataAndLabel): void;
    isSelected(item: DataAndLabel): boolean;
    getSelectedItem(data: string): DataAndLabel;
    getFilterDataList(data: string): DataAndLabel;
    correctScrollBar(): void;
    clear(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
