/// <reference types="jquery" />
import { AfterViewInit, ElementRef, EventEmitter, OnDestroy } from "@angular/core";
import { ToolsService } from "../../service/tools.service";
import { DataAndLabel } from "../../meta/common.meta";
import { CustomValidatorControl } from "../../meta/validator.meta";
import { SearchService } from "../../service/search.service";
import { HttpService } from "../../service/http.service";
/**
 * 带后台查询的下拉框
 */
export declare class SearchSelectComponent implements AfterViewInit, OnDestroy {
    private elementRef;
    private toolsService;
    private httpService;
    private searchService;
    constructor(elementRef: ElementRef, toolsService: ToolsService, httpService: HttpService, searchService: SearchService);
    rem: number;
    searching: boolean;
    boxHeight: number;
    lineHeight: number;
    _fixedDataList: DataAndLabel[];
    fixedDataList: DataAndLabel[];
    filterDataList: DataAndLabel[];
    _lastData: string;
    _data: string;
    dataLoading: boolean;
    init: boolean;
    data: string;
    customValidatorControl: CustomValidatorControl;
    selectedItem: DataAndLabel;
    keySelectedItem: DataAndLabel;
    label: string;
    showPlaceholder: string;
    placeholder: string;
    disabled: boolean;
    direction: "top" | "right" | "bottom" | "left";
    jyTooltipDirection: "top" | "right" | "bottom" | "left";
    jyName: string;
    jyRequired: boolean;
    jyValidate: boolean;
    jyClass: string;
    customItemFilter: boolean;
    customExecuteQuery: boolean;
    queryUrl: string;
    queryByIdUrl: string;
    executeQuery: EventEmitter<{
        key: string;
        callback: (dataList: any[]) => void;
    }>;
    itemFilter: EventEmitter<{
        key: string;
        item: any;
        callback: (match: boolean) => void;
    }>;
    dataChange: EventEmitter<string>;
    host: JQuery;
    select: JQuery;
    input: JQuery;
    box: JQuery;
    eventIdClass: string;
    emitDataChange(): void;
    keydown(event: KeyboardEvent): void;
    keyInput(): void;
    width: number;
    mouseEnter: boolean;
    show: boolean;
    transparent: boolean;
    clickHandler: any;
    focus(): void;
    blur(event: FocusEvent): void;
    onWindowResize(): void;
    viewHide(): void;
    clear(viewHide?: boolean): void;
    selectItem(item: DataAndLabel): void;
    correctScrollBar(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
