import { AfterViewInit, ComponentRef, ElementRef, EventEmitter, OnDestroy } from "@angular/core";
import { RightClickMenuComponent } from "./right-click-menu.component";
import { RightClickMenuService } from "./right-click-menu.service";
import { RightClickMenuItem } from "../../meta/right-click-menu.meta";
/**
 * 右键菜单指令
 * [jyRightClickMenu] = [{label:"菜单1",value:1}]
 * (onMenuClick) = onMenuClick($event) $event = {label:"菜单1",value:1}
 */
export declare class RightClickMenuDirective implements AfterViewInit, OnDestroy {
    private elementRef;
    private rightClickMenuService;
    constructor(elementRef: ElementRef, rightClickMenuService: RightClickMenuService);
    ngAfterViewInit(): void;
    dataList: RightClickMenuItem[];
    jyRightClickMenu: RightClickMenuItem[];
    onMenuClick: EventEmitter<RightClickMenuItem>;
    id: symbol;
    componentRef: ComponentRef<RightClickMenuComponent>;
    onmousedown(event: any): void;
    onDocumentClick(): void;
    ngOnDestroy(): void;
}
