/// <reference types="jquery" />
import { AfterViewInit, ElementRef, EventEmitter, OnDestroy, ViewContainerRef } from "@angular/core";
import { ToolsService } from "../../service/tools.service";
import { BrowserService } from "../../service/browser.service";
import { PageData, QueryParams, TableBoxControl } from "../../meta/table-box.meta";
import { DynamicComponentService } from "../../service/dynamic-component.service";
import { PageableComponent } from "../../component/table-box/pageable.component";
import { GlobalEventsService } from "../../service/global-events.service";
import { TableBoxService } from "../../service/table-box.service";
import { RemService } from "../../service/rem.service";
import { ValidatorService } from "../../service/validator.service";
/**
 * table-box
 */
export declare class TableBoxDirective implements AfterViewInit, OnDestroy {
    private elementRef;
    private viewContainerRef;
    private toolsService;
    private browserService;
    private dynamicComponentService;
    private globalEventsService;
    private tableBoxService;
    private remService;
    private validatorService;
    private windowResizeResetType;
    constructor(elementRef: ElementRef, viewContainerRef: ViewContainerRef, toolsService: ToolsService, browserService: BrowserService, dynamicComponentService: DynamicComponentService, globalEventsService: GlobalEventsService, tableBoxService: TableBoxService, remService: RemService, validatorService: ValidatorService);
    _pageData: PageData<any>;
    pageData: any;
    pageableHeight: number;
    defaultColumnWidth: number;
    heightPercent: number;
    fixedHeight: number;
    offsetHeight: number;
    minTableHeight: number;
    headRows: number;
    footRows: number;
    hidePage: boolean;
    closeSelected: boolean;
    defaultRows: number;
    firstQueryParams: QueryParams;
    _queryParams: QueryParams;
    queryParams: any;
    dontAutoQuery: boolean;
    onQuery: EventEmitter<null>;
    onLoading: EventEmitter<boolean>;
    onInit: EventEmitter<TableBoxControl>;
    searchBoxDisabled: JQuery;
    bottomBoxDisabled: JQuery;
    disabledInput(): void;
    resetDisabledInput(): void;
    _loading: boolean;
    loading: boolean;
    host: JQuery;
    titleBox: JQuery;
    searchBox: JQuery;
    containerTable: JQuery;
    leftTableWidth: number;
    rightTableWidth: number;
    headTr: JQuery;
    bodyTr: JQuery;
    footTr: JQuery;
    leftBodyScrollPlace: JQuery;
    rightBodyScrollPlace: JQuery;
    leftHeadTd: JQuery;
    leftBodyTd: JQuery;
    leftFootTd: JQuery;
    centerHeadTd: JQuery;
    centerBodyTd: JQuery;
    centerFootTd: JQuery;
    rightHeadTd: JQuery;
    rightBodyTd: JQuery;
    rightFootTd: JQuery;
    leftHeadDiv: JQuery;
    leftBodyDiv: JQuery;
    leftFootDiv: JQuery;
    centerHeadDiv: JQuery;
    centerBodyDiv: JQuery;
    centerFootDiv: JQuery;
    rightHeadDiv: JQuery;
    rightBodyDiv: JQuery;
    rightFootDiv: JQuery;
    leftHeadTable: JQuery;
    leftBodyTable: JQuery;
    leftFootTable: JQuery;
    centerHeadTable: JQuery;
    centerBodyTable: JQuery;
    centerFootTable: JQuery;
    rightHeadTable: JQuery;
    rightBodyTable: JQuery;
    rightFootTable: JQuery;
    bottomBox: JQuery;
    messageBox: JQuery;
    loadingBox: JQuery;
    pageableComponent: PageableComponent;
    initOpenSearchBox: boolean;
    ngAfterViewInit(): void;
    initTableBox(): void;
    initPageable(): void;
    initBottomBox(): void;
    initSearchBox(): void;
    dispatchSortEvent(): void;
    query(queryParams?: QueryParams): void;
    onWindowResize(): void;
    windowResize(offsetTop?: number, animate?: boolean, searchBoxShow?: boolean): void;
    ngOnDestroy(): void;
}
