export declare const SORT_EVENT: string;
export interface SortEventData {
    queryParams: QueryParams;
    loading: boolean;
    query: () => void;
}
/**
 * 表格数据
 */
export interface PageData<T> {
    totalPages: number;
    totalElements: number;
    content: T[];
}
export declare class DefaultPageData<T> implements PageData<T> {
    totalPages: 0;
    totalElements: 0;
    content: T[];
}
/**
 * 查询条件
 */
export interface QueryParams {
    rows?: number;
    page?: number;
    sortId?: string;
    sortAsc?: boolean;
}
export declare class DefaultQueryParams implements QueryParams {
}
export interface TableBoxControl {
    query: () => void;
}
