/// <reference types="jquery" />
export declare const VALIDATOR_CHANGE_EVENT_NAME: string;
export declare type ValidateSuccessType = (resetDisabled?: () => void) => any;
export interface ValidatorParams {
    success: ValidateSuccessType;
    error?: () => void;
    dontPositionErrorInput?: boolean;
    disabled?: HTMLElement | EventTarget | JQuery | HTMLElement[] | EventTarget[] | ValidatorDisabled | ValidatorDisabled[];
}
export interface ValidatorDisabled {
    element: HTMLElement | EventTarget | JQuery;
    message?: string;
    validateKeyFlag?: string;
    callback?: () => void;
}
export interface ValidatorControl {
    validate: (validatorParams: ValidatorParams | ValidateSuccessType) => void;
    destroy: () => void;
    tooltip: (name: string, message: string) => void;
    closeAllTooltip: () => void;
    refresh: (async?: boolean) => void;
}
export interface ErrorMessage {
    type: string;
    message: string;
}
export interface ValidatorChange {
    validateType: string;
    handlerType: HandlerType;
}
export declare enum HandlerType {
    hide = 0,
    reValidate = 1,
}
export interface CustomValidatorControl {
    trigger: (value: string) => void;
}
export interface CustomEvent {
    name: string;
    keyup?: (value: any) => string;
    blur?: (value: any) => string | Promise<string>;
}
/**
 * 验证表单控件的node类型
 */
export declare const INPUT: string;
export declare const SELECT: string;
export declare const TEXTAREA: string;
export declare const CUSTOM_VALIDATOR: string;
export declare const JY_CUSTOM_VALIDATOR_VALUE: string;
export declare const CUSTOM_VALIDATOR_VALUE_CHANGE: string;
export declare const VALIDATOR_SELECTOR_ARRAY: string[];
export declare const JY_VALIDATE: string;
export declare const JY_VALIDATE_TYPE: string;
/**
 * 数字类型验证时可以设置minnumber maxnumber来验证数据大小
 */
export declare const VALIDATE_TYPE_INTEGER: string;
export declare const VALIDATE_TYPE_DOUBLE: string;
export declare const VALIDATE_TYPE_MOBILE: string;
export declare const VALIDATE_TYPE_EMAIL: string;
export declare const VALIDATE_TYPE_ID_CARD: string;
export declare const JY_REQUIRED: string;
export declare const JY_REQUIRED_MESSAGE: string;
export declare const JY_PATTERN: string;
export declare const JY_PATTERN_MESSAGE: string;
export declare const JY_EQUALSLENGTH: string;
export declare const JY_MINLENGTH: string;
export declare const JY_MAXLENGTH: string;
export declare const JY_MINNUMBER: string;
export declare const JY_MAXNUMBER: string;
export declare const JY_TOOLTIP_DIRECTION: string;
/**
 * 验证器的类型
 */
export declare const VALIDATE: string;
export declare const VALIDATE_TYPE: string;
export declare const CUSTOM: string;
export declare const LENGTH: string;
export declare const REQUIRED: string;
export declare const PATTERN: string;
export declare const NUMBER_SIZE: string;
/**
 * 错误信息
 */
export declare const CHECK_IN: string;
export declare const ERROR_MESSAGE_REQUIRED: string;
export declare const ERROR_MESSAGE_EQUALSLENGTH: string;
export declare const ERROR_MESSAGE_MINLENGTH: string;
export declare const ERROR_MESSAGE_MAXLENGTH: string;
export declare const ERROR_MESSAGE_MINNUMBER: string;
export declare const ERROR_MESSAGE_MAXNUMBER: string;
export declare const ERROR_MESSAGE_ONLY_INTEGER: string;
export declare const ERROR_MESSAGE_INTEGER_OR_DECIMAL: string;
export declare const ERROR_MESSAGE_EMAIL: string;
export declare const ERROR_MESSAGE_ID_CARD: string;
export declare const ERROR_MESSAGE_MOBILE: string;
