export declare class BaiduMapService {
    constructor();
    Map(container: any, opts?: any): Map;
    Point(lng: number, lat: number): Point;
    Marker(Point: any, opts?: any): Marker;
    InfoWindow(content: string | HTMLElement, opts?: any): InfoWindow;
    NavigationControl(opts: NavigationControlOptions): InfoWindow;
    ScaleControl(opts: ScaleControlOptions): InfoWindow;
    MarkerClusterer(map: any, markers: any): any;
}
export interface Map {
    centerAndZoom: (point: any, zoom: number) => void;
    addControl: (control: any) => void;
    reset: () => void;
    addOverlay: (overlay: any) => void;
    enableScrollWheelZoom: () => void;
    openInfoWindow: (infoWindow: any, point: Point) => void;
}
export interface Point {
    equals: (other: Point) => boolean;
}
export interface InfoWindow {
    setWidth: (width: number) => void;
    setHeight: (height: number) => void;
}
export interface InfoWindowOptions {
    width: number;
    height: number;
    maxWidth: number;
    offset: Size;
    title: string;
    enableAutoPan: boolean;
    enableCloseOnClick: boolean;
    enableMessage: boolean;
    message: string;
}
export interface Marker {
    point: Point;
    setTitle: (title: string) => void;
    getTitle: () => string;
    setLabel: (label: string) => void;
    getLabel: () => string;
    addEventListener: (event: string, handler: (e) => void) => void;
}
export interface Size {
    width: number;
    height: number;
}
export interface ScaleControlOptions {
    anchor?: ControlAnchor;
    offset?: Size;
}
export interface NavigationControlOptions {
    anchor?: ControlAnchor;
    offset?: Size;
    type?: NavigationControlType;
    showZoomInfo?: boolean;
    enableGeolocation?: boolean;
}
export declare type NavigationControlType = 'BMAP_NAVIGATION_CONTROL_LARGE' | 'BMAP_NAVIGATION_CONTROL_SMALL' | 'BMAP_NAVIGATION_CONTROL_PAN' | 'BMAP_NAVIGATION_CONTROL_ZOOM';
export declare type ControlAnchor = 'BMAP_ANCHOR_TOP_LEFT' | 'BMAP_ANCHOR_TOP_RIGHT' | 'BMAP_ANCHOR_BOTTOM_LEFT' | 'BMAP_ANCHOR_BOTTOM_RIGHT';
