import { ComponentFactory, ComponentFactoryResolver, ComponentRef, Type, ViewContainerRef } from "@angular/core";
import { DynamicComponentFactoryProvider } from "../meta/provider.meta";
/**
 * 动态创建组件
 */
export declare class DynamicComponentService {
    private componentFactoryResolver;
    constructor(componentFactoryResolver: ComponentFactoryResolver);
    private dynamicComponentFactoryProvider;
    setProvider(dynamicComponentFactoryProvider: DynamicComponentFactoryProvider): void;
    createBySelector(dynamicComponent: ViewContainerRef, component: string, transmitData?: any): ComponentRef<any>;
    createByComponent<T>(dynamicComponent: ViewContainerRef, component: Type<T>, transmitData?: any): ComponentRef<T>;
    createByComponentFactory<T>(dynamicComponent: ViewContainerRef, componentFactory: ComponentFactory<T>, transmitData?: any): ComponentRef<T>;
}
