import { ToolsService } from "./tools.service";
import { DisabledService } from "./disabled.service";
import { HttpOptionsArgs } from "../meta/http.meta";
import { AlertService } from "./alert.service";
import { HttpProvider } from "../meta/provider.meta";
import { HttpClient } from "@angular/common/http";
export declare class HttpService {
    private httpClient;
    private toolsService;
    private disabledService;
    private alertService;
    constructor(httpClient: HttpClient, toolsService: ToolsService, disabledService: DisabledService, alertService: AlertService);
    private baseUrl;
    private httpProvider;
    private preventRepetitionParamsRecord;
    private preventRepetitionRandomId;
    setProvider(httpProvider: HttpProvider): void;
    get(options: HttpOptionsArgs): void;
    post(options: HttpOptionsArgs): void;
    del(options: HttpOptionsArgs): void;
    put(options: HttpOptionsArgs): void;
    download(url: string, data?: any): void;
    request(options: HttpOptionsArgs): void;
    private removeUndefined(data);
    private defaultRequestOptionsArgs;
    private setDefaultOptions(options);
    private success(httpResponse, options);
    private error(httpResponse, options);
    private urlParamsEncode(value);
    private urlParamsTranslate(params);
}
