/**
 * 查询
 * 使用缓存和延迟查询 提高效率和用户体验
 */
export declare class SearchService {
    private timer;
    private lastData;
    private cacheData;
    /**
     * 查询发起后判断当前的key是不是已经有查询过 假设123查出来10条数据  那么1234肯定不会更多 这时候将使用缓存进行本地过滤 不发请求
     * 如果本地没有匹配的数据则发请求获得数据 直接返回 此时不再进行本地过滤 后端应与前端做相同的匹配处理
     * 注意：这里的execute内部的http要使用preventRepetition 避免多个请求同时回调
     * @param id 保证唯一性即可
     * @param key 查询的关键字
     * @param maxlength 如果返回数据量大于或等于最大值 本地缓存不做记录 因为数据不完整
     * @param execute 执行后台查询的方法
     * @param itemFilter 本地缓存时的过滤
     * @param callback 数据过滤后的回调
     */
    search(id: string, key: string, maxlength: number, execute: (key: string, callback: (dataList: any[]) => void) => void, itemFilter: (key: string, item: any, callback: (match: boolean) => void) => void, callback: (filterDataList: any[]) => void): void;
    clear(id: string): void;
}
