/// <reference types="jquery" />
/**
 * 核心工具类 所有独立的小方法都在这里
 */
export declare class ToolsService {
    private _span;
    readonly span: JQuery;
    private _textarea;
    readonly textarea: JQuery;
    focusOut(): void;
    copy(text: string): void;
    /**
     * 获取字符串长度
     */
    getStringWidth(value: string, fontSize?: number): number;
    /**
     * 限定宽度后的最大长度
     */
    getMaxWidthLimit(value: string, maxWidth: number, fontSize?: number): number;
    /**
     * 获取px单位的number值
     */
    getPxNumber(value: string): number;
    /**
     * 把box浮层根据位置大小计算浮动在input周围
     */
    positionFixedBoxInput(fixedBox: JQuery, target: JQuery, position?: string): any;
    private randomMap;
    /**
     * 获取随机数
     */
    getRandomId(): string;
    /**
     * 判断是否为空
     */
    isNull(value: any): boolean;
    /**
     * 判断是否不为空
     */
    isNotNull(value: any): boolean;
    /**
     * 转int
     */
    parseInt(s: string, radix?: number): number;
    /**
     * 转float
     */
    parseFloat(s: string): number;
    private _positionFocus(element, parent);
    /**
     * 定位焦点
     */
    positionFocus(element: JQuery): void;
    /**
     * 获取字符串
     */
    getString(value: any): string;
    /**
     * 在滚动时隐藏日期控件弹出层
     */
    scrollDispatchClickEvent(element: JQuery): void;
    addDomShowChangeListener(element: HTMLElement, nodeNames: string[], callBack: () => void): void;
    /**
     * 判断jquery对象是否为空 如果没有长度则为空
     */
    jqNotNull(value: JQuery): JQuery;
    /**
     * 替换{0}{1}参数
     */
    replaceArgs(originalValue: string, args: string | string[]): string;
    replaceAll(originalValue: string, value1: string, value2: string): string;
    correctScrollBar(box: JQuery, boxHeight: number, lineHeight: number, index: number): void;
    getFullUrl(baseUrl: string, url: string): string;
}
