/// <reference types="jquery" />
import { IdCardService } from "./id-card.service";
import { ToolsService } from "./tools.service";
import { TooltipService } from "./tooltip.service";
import { CustomEvent, ValidatorControl } from "../meta/validator.meta";
/**
 * 验证器
 */
export declare class ValidatorService {
    private toolsService;
    private idCardService;
    private tooltipService;
    constructor(toolsService: ToolsService, idCardService: IdCardService, tooltipService: TooltipService);
    integerReg: RegExp;
    doubleReg: RegExp;
    mobileReg: RegExp;
    email: RegExp;
    isInteger(text: string): boolean;
    isDouble(text: string): boolean;
    isMobile(text: string): boolean;
    isEmail(text: string): boolean;
    isIdCard(text: string): boolean;
    private destroy(elementControl, elementControlArray);
    private initNodeData(form, elementControlArray, selector, refresh);
    private tooltipMessage(elementControl, errorMessage);
    private initHandler(elementControl, customEventArray);
    private removeHandler(elementControl);
    private getValidatorDisabled(value);
    init(form: HTMLElement | JQuery, async?: boolean, customEvent?: CustomEvent | CustomEvent[]): ValidatorControl;
}
